Bug 212856 (php-pear-Pager) - Review Request: php-pear-Pager - Data paging class
Summary: Review Request: php-pear-Pager - Data paging class
Status: CLOSED NEXTRELEASE
Alias: php-pear-Pager
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT DG-Renderer-Pager
TreeView+ depends on / blocked
 
Reported: 2006-10-29 18:40 UTC by Christopher Stone
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 23:29:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Stone 2006-10-29 18:40:27 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Pager.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Pager-2.4.2-1.src.rpm

Description:
It takes an array of data as input and pages it according to various
parameters. It also builds links within a specified range, and allows
complete customization of the output (it even works with front controllers
and mod_rewrite). Two operating modes available: "Jumping" and "Sliding"
window style.

Comment 1 Remi Collet 2006-11-06 16:32:01 UTC
* source files match upstream:
9dd1fd0aee0e8039f1a4033f822d50c3  Pager-2.4.2.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (BSD)
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
  php-pear(Pager) = 2.4.2
  php-pear-Pager = 2.4.2-1.fc6
* %check is not present; see comment
* owns the directories it creates
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Example provided work fine.
I've don't find how to run test-suit (even with simpletest installed) ??

Comment 2 Christopher Stone 2007-05-02 03:05:11 UTC
Package Change Request
======================
Package Name: php-pear-Pager
New Branches: EL-5

Comment 3 Dennis Gilmore 2007-05-05 15:11:02 UTC
branched for EL-5


Note You need to log in before you can comment on or make changes to this bug.